#ifndef _COLOR_H
#define _COLOR_H

/* OpenCV */
#define CV_BLACK   cvScalar(  0,   0,   0)
#define CV_RED     cvScalar(  0,   0, 255)
#define CV_GREEN   cvScalar(  0, 255,   0)
#define CV_YELLOW  cvScalar(  0, 255, 255)
#define CV_BLUE    cvScalar(255,   0,   0)
#define CV_MAGENTA cvScalar(255,   0, 255)
#define CV_CYAN    cvScalar(255, 255,   0)
#define CV_WHITE   cvScalar(255, 255, 255)

/* Terminal color. format is <ESC>[{attr};{fg};{bg}m. Use for instance
 * printf(TERM_RED "this is red" TERM_RESET). */
#define TERM_RESET      "\x1B[0m"
#define TERM_RED        "\x1B[1;31m"
#define TERM_GREEN      "\x1B[1;32m"
#define TERM_BOLD       "\x1B[1m"
#define TERM_UNDERLINE  "\x1B[4m"
#define TERM_REVERS     "\x1B[7m"

/* Terminal colors documentation. See for instance
 * http://www.linuxjournal.com/article/8603

Atributes {attr}
0  Normal text
1  Bold   (This gives the color higher intensity)
4  Underline
5  Blinking
7  Revers (Foreground -> Background, Backgroun -> Foreground)
8  Hiden

Foreground color {fg}
30 Black
31 Red
32 Green
33 Yellow
34 Blue
35 Magenta
36 Cyan
37 White

Background color {bg}
40 Black
41 Red
42 Green
43 Yellow
44 Blue
45 Magenta
46 Cyan
47 Ehite
*/

#endif
