#include <cv.h>
#include <highgui.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <sys/time.h>
#include "verbose.h"

/* -------------------------------------------------------------------------- */

/* One can also use clock() function instead of OpenCV cvGetTickCount(). */
double chrono( const char* message, double originMicrosec)
{
  static double cpuFreqMHz = cvGetTickFrequency();
  static int64 tickBackup = 0;
  double intervalMicrosec;

  if( originMicrosec == -1 )
      intervalMicrosec = (cvGetTickCount() - tickBackup) / cpuFreqMHz;
  else
      intervalMicrosec = (cvGetTickCount() - originMicrosec * cpuFreqMHz) / cpuFreqMHz;

#if VERBOSE >= 9
  if( message )
  {
    PRINT1( "%s: %f us", message, intervalMicrosec );
  }
#endif
  
  tickBackup = cvGetTickCount();
  return intervalMicrosec;
}
