#ifndef _TIMING_H
#define _TIMING_H

#include "verbose.h"

/* Time a block (interleaving is not allowed). */
#if VERBOSE >= 9
#define CHRONO(message) chrono(message)
#else
#define CHRONO(message)
#endif


/* Return elapsed time in microseconds between current call and last
 * call if originMicrosec = -1, else between current call and
 * originMicrosec. Maximum elapsed time = (2^63 - 1) / cpuFreqMHz =
 * 9.2e9 seconds = 292 years on 1 GHz CPU. On Linux, ticks counter
 * start from 0 when the system boot up. */
double chrono( const char* message = NULL, double originMicrosec = -1);

#endif
